package GUIPack;

import java.awt.*;
import javax.swing.*;
import stones.*;

/**
 * The NextStoneLabel is the "window" where you can see the next stone. The paintComponent method is called
 * up when a new stone "arrives"...
 * @author Winkler
 */
public class NextStoneLabel extends JLabel
{
	public S_Stone stone;

	private static final long serialVersionUID = 13L;

	public NextStoneLabel()
	{
		this.setPreferredSize(new Dimension(100, 80));
		this.setOpaque(true);
		this.setBackground(Color.lightGray);
	}
	/**
	 * The paintComponent method is called up by repaint(). It fills the different fields of the stone matrix
	 * with the different colors of every stone. At the end the whole is repainted.
	 *
	 * @param Graphics voodoo is a default parameter which the paintComponent method needs to have!
	 */
	public void paintComponent(Graphics voodoo)
	{
		//beim erstellen der Klasse gibt es noch keinen Stein und soll daher auch nicht gezeichnet werden
		if (stone != null)
		{
			//mat ist die Steinmatrix
			S_ColorBlock[][] mat = stone.getMat();
			this.setBackground(Color.lightGray);
			// damit wird die Matrix innerhalb der Box um 20 nach rechts verschoben, das sieht fuer alle Steine au�er "O" eleganter aus.
			//int p = 20;
			//hier wird die Matrix vom Stein kmoplett durchgegangen..
			for(int i = 0; i < 4; i++)
			{
				for(int j = 0; j < 4; j++)
				{
					mat[i][j].paintBlockNextStone(voodoo, j, i);
			
				}
			}
		}
	}
}





