package commands;
import java.io.*;

import serverClient.*;


/**
 *	The class <i>C_newScoreCommand</i> is the <i>command</i> class
 *	that the client uses to transmit a new <i>score</i> to the server.
 *	@author Winkler
 **/
public class C_newScoreCommand implements C_Command, Serializable
{

	/**
	 *
	 *	score Client score value
	 */
	private int score;
	
	private static final long serialVersionUID = 13L;
	
	/**
	 *	<i>C_gameOverCommand()</i> constructor with score field
	 *	@param score	<i>int</i> value from client game
	 */
	public C_newScoreCommand(int score)
	{

		this.score = score;
	}

	/**
	 *	The <i>toString()</i> method can be called by the server or client
	 *	and always returns the same value
	 *	@return "C_newScoreCommand"
	 */
	public String toString()
	{
		return "C_newScoreCommand";
	}

	/**
	 *	The <i>execute(S_fromClient s)</i> method is called by
	 *	the server and sets the new client score on the server.
	 *	@param s	SEE:S_fromClient
	 */
	public void execute(S_fromClient s)
	{
		s.setScore(score);
	}
}

