package commands;
import java.io.*;

import serverClient.*;
import stones.*;
import java.util.*;


/**
 *	The class <i>S_printScoreCommand</i> is the <i>command</i> class
 *	that the server uses to administrate and distribute the scores.
 *	@author 	Winkler
 **/
public class S_newStonesCommand implements S_Command, Serializable
{
	
	private ArrayList<S_Stone> stones;

	/**
	 *	<i>S_printScoreCommand()</i> constructor
	 *	
	 */
	
	private static final long serialVersionUID = 13L;
	
	public S_newStonesCommand(ArrayList<S_Stone> stones)
	{
		this.stones = stones;
		//System.out.println("S_newStonesCommand stonesList.size() = "+stones.size());

	}

	/**
	 *	The <i>toString()</i> method can be called by the server or client
	 *	and always returns the same value
	 *	@return "S_printScoreCommand"
	 */
	public String toString()
	{
		return "S_newStonesCommand";
	}
	/**
	 *	The <i>execute(Client_fromServer c)</i> method is called by
	 *	the client and prints the udated scores onto the board
	 *	@param c	SEE:Client_fromServer
	 */
	public void execute(Client_fromServer c)
	{
		c.copyStones(stones);
	}

}

